# -*- ruby encoding: utf-8 -*-
#############################################################
# This file was automatically generated on 2012-06-15.      #
#                                                           #
# If you have a bugfix for this file and want to commit it, #
# please fix the bug in the generator. You can find a link  #
# to the generator git on tinkerforge.com                   #
#############################################################

module Tinkerforge
  # Device for controlling two relays
  class BrickletDualRelay < Device

    FUNCTION_SET_STATE = 1 # :nodoc:
    FUNCTION_GET_STATE = 2 # :nodoc:

    # Creates an object with the unique device ID <tt>uid</tt>. This object can
    # then be added to the IP connection.
    def initialize(uid)
      super uid

      @expected_name = 'Dual Relay Bricklet'

      @binding_version = [1, 0, 0]

    end

    # Sets the state of the relays, *true* means on and *false* means off. 
    # For example: (true, false) turns relay 1 on and relay 2 off.
    # 
    # If you just want to set one of the relays and don't know the current state
    # of the other relay, you can get the state with BrickletDualRelay#get_state.
    # 
    # The default value is (false, false).
    def set_state(relay1, relay2)
      send_request(FUNCTION_SET_STATE, [relay1, relay2], '? ?', 0, '')
    end

    # Returns the state of the relays, *true* means on and *false* means off.
    def get_state
      send_request(FUNCTION_GET_STATE, [], '', 2, '? ?')
    end

  end
end
